<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_DASHBOARD_PROJECT_VIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include($path_to_root . "/includes/ui/ui_input.inc"); 
include_once($path_to_root . "/dashboard/includes/ui/view_dashboard_transport_item_consumption_ui.inc"); 
include_once($path_to_root . "/dashboard/includes/db/dashboard_transport_item_consumption_db.inc"); 
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 
include_once($path_to_root . "/transport/includes/db/vehicles_db.inc"); 
include_once($path_to_root . "/assets/includes/db/assets_db.inc"); 

$js = "";
$js .= get_js_open_window(900, 500);

page(_($help_context = "Dashboard Transport Item Consumption View"), true, false, "", $js);

$from_date = $to_date = $item_code = '';
$project_id = $linked_field_type_id = $linked_field_id = -1;

if (isset($_GET['pid'])) {
    $project_id = $_GET['pid'];
}
if (isset($_GET['lftid'])) {
    $linked_field_type_id = $_GET['lftid'];
}
if (isset($_GET['lfid'])) {
    $linked_field_id = $_GET['lfid'];
}
if (isset($_GET['item'])) {
    $item_code = $_GET['item'];
}
if (isset($_GET['from_date'])) {
    $from_date = $_GET['from_date'];
}
if (isset($_GET['to_date'])) {
    $to_date = $_GET['to_date'];
}

dashboard_view_transport_item_consumption($item_code, $from_date, $to_date, $project_id, $linked_field_type_id, $linked_field_id);

end_page(true, false, false);

?>